Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractAccordion

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel
                      org.richfaces.component.AbstractAccordion

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource

Direct Known Subclasses:
  UIAccordion

    public abstract class AbstractAccordion

extends AbstractTogglePanel

The <rich:accordion> is a series of panels stacked on top of each other, each collapsed such that only the header of the panel is showing. When the header of a panel is clicked, it is expanded to show the content of the panel. Clicking on a different header will collapse the previous panel and epand the selected one. Each panel contained in a <rich:accordion> component is a <rich:accordionItem> component.

Author:
  akolonitsky

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanel
`ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`protected` | `AbstractAccordion()`

Method Summary
`String` | `getActiveItem()` Holds the active tab name.
`String` | `getFamily()`
`abstract String` | `getHeight()` The height of the panel
`abstract String` | `getItemActiveHeaderClass()` The CSS class applied to the panel header when the panel is active
`abstract String` | `getItemActiveLeftIcon()` The icon displayed on the left of the panel header when the panel is active
`abstract String` | `getItemActiveRightIcon()` The icon displayed on the right of the panel header when the panel is active
`abstract String` | `getItemContentClass()` A CSS class applied to each of the accordionItem children
`abstract String` | `getItemDisabledHeaderClass()` The CSS class applied to the panel header when the panel is disabled
`abstract String` | `getItemDisabledLeftIcon()` The icon displayed on the left of the panel header when the panel is disabled
`abstract String` | `getItemDisabledRightIcon()` The icon displayed on the right of the panel header when the panel is disabled
`abstract String` | `getItemHeaderClass()` The CSS class applied to the panel header
`abstract String` | `getItemInactiveHeaderClass()` The CSS class applied to the panel header when the panel is not active
`abstract String` | `getItemInactiveLeftIcon()` The icon displayed on the left of the panel header when the panel is not active
`abstract String` | `getItemInactiveRightIcon()` The icon displayed on the right of the panel header when the panel is not active
`abstract String` | `getOnbeforeitemchange()` Points to the function to perform when before the switchable item is changed
`abstract String` | `getOnitemchange()` Points to the function to perform when the switchable item is changed.
`abstract String` | `getWidth()` The width of the panel

Methods inherited from class org.richfaces.component.AbstractTogglePanel
`addItemChangeListener, broadcast, decode, encodeBegin, encodeMetaComponent, getChildIndex, getClientIdByName, getData, getExecute, getFirstItem, getIndexByName, getItem, getItemByIndex, getItemChangeListener, getItemChangeListeners, getItemCount, getLastItem, getNameByIndex, getNextItem, getNextItem, getPrevItem, getPrevItem, getRender, getRendersChildren, getStatus, getSubmittedActiveItem, getSubmittedValue, getSwitchType, getVisitStateByName, isActiveItem, isActiveItem, isActiveItem, isCycledSwitching, isImmediate, isLimitRender, isLocalValueSet, isPanelItemDynamic, isRequired, isValid, processDecodes, processUpdates, processValidators, queueEvent, removeItemChangeListener, resetValue, resolveClientId, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValue, setValueExpression, substituteUnresolvedClientId, updateActiveName, updateModel, visitTogglePanelItems, visitTree`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractAccordion

    protected AbstractAccordion()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractTogglePanel`

### getActiveItem

    public String getActiveItem()

  Holds the active tab name. This name is a reference to the name identifier of the active child <rich:tab> component.

  Overrides:
    `getActiveItem` in class `AbstractTogglePanel`

### getItemActiveLeftIcon

    public abstract String getItemActiveLeftIcon()

  The icon displayed on the left of the panel header when the panel is active

### getItemInactiveLeftIcon

    public abstract String getItemInactiveLeftIcon()

  The icon displayed on the left of the panel header when the panel is not active

### getItemDisabledLeftIcon

    public abstract String getItemDisabledLeftIcon()

  The icon displayed on the left of the panel header when the panel is disabled

### getItemActiveRightIcon

    public abstract String getItemActiveRightIcon()

  The icon displayed on the right of the panel header when the panel is active

### getItemInactiveRightIcon

    public abstract String getItemInactiveRightIcon()

  The icon displayed on the right of the panel header when the panel is not active

### getItemDisabledRightIcon

    public abstract String getItemDisabledRightIcon()

  The icon displayed on the right of the panel header when the panel is disabled

### getWidth

    public abstract String getWidth()

  The width of the panel

### getHeight

    public abstract String getHeight()

  The height of the panel

### getItemActiveHeaderClass

    public abstract String getItemActiveHeaderClass()

  The CSS class applied to the panel header when the panel is active

### getItemDisabledHeaderClass

    public abstract String getItemDisabledHeaderClass()

  The CSS class applied to the panel header when the panel is disabled

### getItemInactiveHeaderClass

    public abstract String getItemInactiveHeaderClass()

  The CSS class applied to the panel header when the panel is not active

### getItemContentClass

    public abstract String getItemContentClass()

  A CSS class applied to each of the accordionItem children

### getItemHeaderClass

    public abstract String getItemHeaderClass()

  The CSS class applied to the panel header

### getOnitemchange

    public abstract String getOnitemchange()

  Points to the function to perform when the switchable item is changed.

  Specified by:
    `getOnitemchange` in class `AbstractTogglePanel`

### getOnbeforeitemchange

    public abstract String getOnbeforeitemchange()

  Points to the function to perform when before the switchable item is changed

  Specified by:
    `getOnbeforeitemchange` in class `AbstractTogglePanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.